<?php

namespace Drupal\filter_html_plus;

use Drupal\filter\Plugin\Filter\FilterHtml;

/**
 * Return response after filtration.
 */
class FilterHtmlPlus extends FilterHtml {

  /**
   * {@inheritdoc}
   */
  public function getHtmlRestrictions() {
    if ($this->restrictions) {
      return $this->restrictions;
    }

    $restrictions = parent::getHtmlRestrictions();
    $star_protector = '__zqh6vxfbk3cg__';
    if (isset($restrictions['allowed'][$star_protector])) {
      $restrictions['allowed']['*'] = array_merge($restrictions['allowed']['*'], $restrictions['allowed'][$star_protector]);
    }

    $this->restrictions = $restrictions;

    return $this->restrictions;
  }

}
